Bug 1542313 (CVE-2018-6594)

Summary: CVE-2018-6594 python-crypto: Weak ElGamal key parameters in PublicKey/ElGamal.py allow attackers to obtain sensitive information by reading ciphertext
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, athmanem, bleanhar, bmcclain, btarraso, ccoleman, chrisw, cpelland, dajohnso, dblechte, dedgar, dmcphers, eedri, gblomqui, gmccullo, gtanzill, hhudgeon, jfrey, jgoulding, jhardy, jjoyce, jkeck, jpadman, jprause, jschluet, kbasil, lhh, lpeer, markmc, mburns, mgoldboi, michal.skrivanek, obarenbo, paul, python-maint, rbryant, rhos-maint, roliveri, sbonazzo, sclewis, sherold, simaishi, sisharma, slinaber, srevivo, tdecacqu, vbellur, ykaul, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-21 03:49:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1542315, 1542314, 1542316, 1543114, 1543115, 1543116    
Bug Blocks: 1542317    

Description Sam Fowler 2018-02-06 05:15:01 UTC
lib/Crypto/PublicKey/ElGamal.py in PyCrypto through 2.6.1 generates weak ElGamal key parameters, which allows attackers to obtain sensitive information by reading ciphertext data (i.e., it does not have semantic security in face of a ciphertext-only attack).


External References:

https://github.com/TElgamal/attack-on-pycrypto-elgamal
https://github.com/Legrandin/pycryptodome/issues/90

Upstream Issue:

https://github.com/dlitz/pycrypto/issues/253

Comment 1 Sam Fowler 2018-02-06 05:15:49 UTC
Created python-crypto tracking bugs for this issue:

Affects: epel-all [bug 1542315]
Affects: fedora-all [bug 1542314]

Comment 5 Joshua Padman 2018-02-09 03:54:13 UTC
The Red Hat OpenStack packages that use functionality from the python-crypto libraries do not use the ElGamal functionality. Whilst the python-crypto code shipped is vulnerable, the vulnerable functionality is not used. Therefore, the Red Hat OpenStack python-crypto package will not be fixed at this stage.

Comment 10 Product Security DevOps Team 2020-02-21 03:49:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-6594